Bug 4974 - process_koc.pl fails to display date and time of return
Summary: process_koc.pl fails to display date and time of return
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-08 18:29 UTC by Magnus Enger
Modified: 2013-12-05 20:05 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2010-07-08 18:29:01 UTC
On a successful return, process_koc.pl displays something like this: 

Checked in TITLE (BARCODE) from PERSON (PATRONBARCODE): 

The date and time is supposed to be displayed after the trailing colon. 

On lines 276, 297, 318 and 344 the script tries to assign datetime to @output: 

datetime => $circ->{ 'datetime' }

but in the function parse_command_line on line 189 the timestamp from the .koc-file is split into $date, $time and $id, and date and time are returned seperately. 

A couple of solutions spring to mind: 

- Returning the timestamp from parse_command_line and assigning that to datetime in @output

- Concatenating date and time in the assignment to datetime. 

Not sure which makes most sense...
Comment 1 Katrin Fischer 2013-04-13 19:39:22 UTC
koc files are now processed using the pending_offline_operations table so the display has probably changed since this bug was reported.
In the current interface date and time of return are displayed.